Skip to main content
GET
/
tunnelkeys
/
List tunnel keys for the current user
curl --request GET \
  --url https://dashboard.hologram.io/api/1/tunnelkeys/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "limit": 123,
  "size": 123,
  "continues": true,
  "data": [
    {
      "id": 123,
      "userid": 123,
      "public_key": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "private_key": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

limit
integer

Maximum number of results to return

before
integer

Return records with ID less than this value (cursor-based pagination)

after
integer

Return records with ID greater than this value (cursor-based pagination)

startafter
integer

Return results with ID less than this value

withdisabled
integer

Include disabled tunnel keys (0 or 1; defaults to 0)

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

limit
integer

Query limit

size
integer

Number of results returned

continues
boolean

Whether more results are available

data
object[]